//+------------------------------------------------------------------+
//|                                             Wato_RobotTrader.mq4 |
//|                      Copyright  2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

extern double TakeProfit = 5;
extern double Lots = 0.1;
extern double StopLoss = 14;
extern double MovingPeriod       = 14;
extern double MovingPeriodS      = 21;
extern double MovingShift        = 5;
extern double MovingShiftS       = 3;
extern double rsi                = 4;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   double ma;
   double mas;
   double rsi;
   double rsis;
   double EURUSD;
   double maeg;
   double maseg;
   double rsieg;
   double rsiegs;
   double EURGBP;
   double magd;
   double masgd;
   double rsigd;
   double rsigds;
   double GBPUSD;
   int cnt, ticket, total;
// initial data checks
// it is important to make sure that the expert works with a normal
// chart and the user did not make any mistakes setting external 
// variables (Lots, StopLoss, TakeProfit, 
// in our case, we check TakeProfit
// on a chart of less than 100 bars
   if(Bars<100)
     {
      Print("bars less than 100");
      return(0);  
     }
   if(TakeProfit<10)
     {
      Print("TakeProfit less than 10");
      return(0);  // check TakeProfit
     }
// to simplify the coding and speed up access
// data are put into internal variables 
   ma=iMA(EURUSD,1,MovingPeriod,MovingShift,MODE_LWMA,PRICE_WEIGHTED,0);
   mas=iMA(EURUSD,1,MovingPeriod,MovingShiftS,MODE_LWMA,PRICE_WEIGHTED,0);
   rsi=iRSI(EURUSD,1,4,PRICE_CLOSE,0);
   rsis=iRSI(EURUSD,1,4,PRICE_CLOSE,1);
   maeg=iMA(EURGBP,1,MovingPeriod,MovingShift,MODE_LWMA,PRICE_WEIGHTED,0);
   maseg=iMA(EURGBP,1,MovingPeriod,MovingShiftS,MODE_LWMA,PRICE_WEIGHTED,0);
   rsieg=iRSI(EURGBP,1,4,PRICE_CLOSE,0);
   rsiegs=iRSI(EURGBP,1,4,PRICE_CLOSE,1);
   magd=iMA(GBPUSD,1,MovingPeriod,MovingShift,MODE_LWMA,PRICE_WEIGHTED,0);
   masgd=iMA(GBPUSD,1,MovingPeriod,MovingShiftS,MODE_LWMA,PRICE_WEIGHTED,0);
   rsigd=iRSI(GBPUSD,1,4,PRICE_CLOSE,0);
   rsigds=iRSI(GBPUSD,1,4,PRICE_CLOSE,1); 
   return(0);
  }
//+------------------------------------------------------------------+